You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

86 lines
2.3KB

  1. {
  2. "type": "project",
  3. "license": "proprietary",
  4. "require": {
  5. "php": "^7.1.3",
  6. "ext-ctype": "*",
  7. "ext-iconv": "*",
  8. "php-ffmpeg/php-ffmpeg": "^0.16.0",
  9. "sensio/framework-extra-bundle": "^5.1",
  10. "symfony/apache-pack": "^1.0",
  11. "symfony/asset": "4.4.*",
  12. "symfony/console": "4.4.*",
  13. "symfony/dotenv": "4.4.*",
  14. "symfony/expression-language": "4.4.*",
  15. "symfony/flex": "^1.3.1",
  16. "symfony/form": "4.4.*",
  17. "symfony/framework-bundle": "4.4.*",
  18. "symfony/http-client": "4.4.*",
  19. "symfony/intl": "4.4.*",
  20. "symfony/mailer": "4.4.*",
  21. "symfony/monolog-bundle": "^3.1",
  22. "symfony/orm-pack": "*",
  23. "symfony/process": "4.4.*",
  24. "symfony/security-bundle": "4.4.*",
  25. "symfony/serializer-pack": "*",
  26. "symfony/swiftmailer-bundle": "^3.4",
  27. "symfony/translation": "4.4.*",
  28. "symfony/twig-pack": "*",
  29. "symfony/validator": "4.4.*",
  30. "symfony/web-link": "4.4.*",
  31. "symfony/web-server-bundle": "4.4.*",
  32. "symfony/yaml": "4.4.*"
  33. },
  34. "require-dev": {
  35. "symfony/debug-pack": "*",
  36. "symfony/maker-bundle": "^1.0",
  37. "symfony/profiler-pack": "*",
  38. "symfony/test-pack": "*"
  39. },
  40. "config": {
  41. "preferred-install": {
  42. "*": "dist"
  43. },
  44. "sort-packages": true
  45. },
  46. "autoload": {
  47. "psr-4": {
  48. "App\\": "src/"
  49. }
  50. },
  51. "autoload-dev": {
  52. "psr-4": {
  53. "App\\Tests\\": "tests/"
  54. }
  55. },
  56. "replace": {
  57. "paragonie/random_compat": "2.*",
  58. "symfony/polyfill-ctype": "*",
  59. "symfony/polyfill-iconv": "*",
  60. "symfony/polyfill-php71": "*",
  61. "symfony/polyfill-php70": "*",
  62. "symfony/polyfill-php56": "*"
  63. },
  64. "scripts": {
  65. "auto-scripts": {
  66. "cache:clear": "symfony-cmd",
  67. "assets:install %PUBLIC_DIR%": "symfony-cmd"
  68. },
  69. "post-install-cmd": [
  70. "@auto-scripts"
  71. ],
  72. "post-update-cmd": [
  73. "@auto-scripts"
  74. ]
  75. },
  76. "conflict": {
  77. "symfony/symfony": "*"
  78. },
  79. "extra": {
  80. "symfony": {
  81. "allow-contrib": false,
  82. "require": "4.4.*"
  83. }
  84. }
  85. }